[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#365747: marked as done (base-installer: Add /dev/mapper in all cases needed)

Your message dated Sun, 14 May 2006 14:02:22 -0700
with message-id <E1FfNjK-0004oE-Q1@spohr.debian.org>
and subject line Bug#365747: fixed in base-installer 1.57
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: base-installer
Severity: wishlist

Now /dev/mapper structure is created only if lvm2 is detected. However,
device-mapper is also used by dm-crypt and EVMS. This patch creates
/target/dev/mapper in case device-mapper module is loaded. This
directory is needed (atleast) to get grub installed.

The approach in the patch has the slight inconvinience of creating the
directory in some cases even if not really needed. For example in case
user has created encrypted partitions that are not / or /boot related.
In My (lazy) opinion, wasting few nodes on target is accepteble, since
adding more fine grained tests would instead bloat the base-installer
script and make it more fragile.

(Riku: please file such requests as wishlist bugs next time)
Index: postinst
--- postinst	(revision 36896)
+++ postinst	(working copy)
@@ -323,18 +323,20 @@
 	if [ -e /proc/mdstat ] && grep -q ^md /proc/mdstat ; then
 		apt-install mdadm
-	# LVM: create VG and LV devices
-	if pvdisplay | grep -iq "physical volume ---" && grep -q " device-mapper$" /proc/misc; then
-		apt-install lvm2
-		mount -t proc proc /target/proc
+	# device-mapper
+	if grep -q " device-mapper$" /proc/misc; then
 		mkdir -p /target/dev/mapper
 		if [ ! -e /target/dev/mapper/control ] ; then
 			major=$(grep "[0-9] misc$" /proc/devices | sed 's/[ ]\+misc//')
 			minor=$(grep "[0-9] device-mapper$" /proc/misc | sed 's/[ ]\+device-mapper//')
 			mknod /target/dev/mapper/control c $major $minor
-		chroot /target vgscan --mknodes || true
-		umount /target/proc
+		if pvdisplay | grep -iq "physical volume ---"; then
+			apt-install lvm2
+			mount -t proc proc /target/proc
+			chroot /target vgscan --mknodes || true
+			umount /target/proc
+		fi
 	# UML: create ubd devices
 	if grep -q "model.*UML" /proc/cpuinfo; then

--- End Message ---
--- Begin Message ---
Source: base-installer
Source-Version: 1.57

We believe that the bug you reported is fixed in the latest version of
base-installer, which is due to be installed in the Debian FTP archive:

  to pool/main/b/base-installer/base-installer_1.57.dsc
  to pool/main/b/base-installer/base-installer_1.57.tar.gz
  to pool/main/b/base-installer/base-installer_1.57_i386.udeb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Frans Pop <fjp@debian.org> (supplier of updated base-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 14 May 2006 22:54:26 +0200
Source: base-installer
Binary: base-installer
Architecture: source i386
Version: 1.57
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
 base-installer - Install the base system (udeb)
Closes: 365747
 base-installer (1.57) unstable; urgency=low
   [ Frans Pop ]
   * Create devmapper device nodes in /target if these are used in the installer;
     needed for partman crypto (closes: #365747). Patch by Riku Voipio.
   * If root is encrypted, also create crypto device nodes. Patch by David
   [ Martin Michlmayr ]
   * Remove incomplete LART and BAST support.
   * Drop Riscstation since it's no longer supported in 2.6 kernels.
   [ Colin Watson ]
   * Rename install_kernel to install_linux, to allow for future ports to
     other systems.
   [ Christian Perrier ]
   * Split _Choices to __Choices in templates
   [ Updated translations ]
   * Arabic (ar.po) by Ossama M. Khayat
   * Czech (cs.po) by Miroslav Kure
   * Danish (da.po) by Claus Hindsgaul
   * German (de.po) by Jens Seidel
   * Dzongkha (dz.po)
   * Esperanto (eo.po) by Serge Leblanc
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Jacobo Tarrio
   * Hungarian (hu.po) by SZERVÃ?C Attila
   * Japanese (ja.po) by Kenshi Muto
   * Khmer (km.po) by Khoem Sokhem
   * Korean (ko.po) by Sunjae park
   * Kurdish (ku.po) by Erdal Ronahi
   * Malagasy (mg.po) by Jaonary Rabarisoa
   * Macedonian (mk.po) by Georgi Stanojevski
   * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
   * Dutch (nl.po) by Bart Cornelis
   * Norwegian Nynorsk (nn.po) by HÃ¥vard Korsvoll
   * Polish (pl.po) by Bartosz Fenski
   * Portuguese (pt.po) by Miguel Figueiredo
   * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
   * Romanian (ro.po) by Eddy PetriÅ?or
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Peter Mann
   * Slovenian (sl.po) by Jure Ä?uhalev
   * Albanian (sq.po) by Elian Myftiu
   * Swedish (sv.po) by Daniel Nylander
   * Tamil (ta.po) by Damodharan Rajalingam
   * Thai (th.po) by Theppitak Karoonboonyanan
   * Turkish (tr.po) by Recai OktaÅ?
   * Vietnamese (vi.po) by Clytie Siddall
 5258b9c2afae76e93338f57919a5ff10 854 debian-installer required base-installer_1.57.dsc
 d4faa02f25944337c0f98343b748797f 198741 debian-installer required base-installer_1.57.tar.gz
 44cb762cfdb06a632d904f68b754eaab 143808 debian-installer required base-installer_1.57_i386.udeb
Package-Type: udeb

Version: GnuPG v1.4.1 (GNU/Linux)


--- End Message ---

Reply to: